Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231335 - Mouse wheel scrolls gnome-terminal up 3 lines / down 2 lines
Summary: Mouse wheel scrolls gnome-terminal up 3 lines / down 2 lines
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 19:33 UTC by Mark McClelland
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-30 21:22:17 UTC


Attachments (Terms of Use)

Description Mark McClelland 2007-03-07 19:33:13 UTC
Description of problem:
When scrolling in gnome-terminal with the mouse wheel, scrolling up one tick of
the wheel scrolls the text by 3 lines, but scrolling down one tick moves it by
only two lines. This problem is not apparent in Firefox or gedit. Scrolling by
other means (e.g. <Shift>-<Page Up> or scrollbar) doesn't exhibit this behavior
either.

Version-Release number of selected component (if applicable):
2.17.92-1.fc7.i386

How reproducible:
Every time

Steps to Reproduce:
1. Open gnome terminal
2. dmesg
3. Move scroll wheel up and down repeatedly by the same amount. The window will
gradually scroll all the way to the top eventually, even though the wheel is at
roughly the same position as where it started.

Comment 1 Mark McClelland 2007-05-30 21:22:17 UTC
This appears to be fixed in F7 RC2.


Note You need to log in before you can comment on or make changes to this bug.